summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave@gmail.com>2010-05-11 20:00:55 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:55 +0200
commit380ffc240c0577924419391e1c97c8f39eef1938 (patch)
tree4110c0ecf1c436806163d621e8d7ce70f1b15111 /libraries
parenta3548aa6e6567dc44f34ceb9fd7ecd4e3bca1df2 (diff)
downloadslackbuilds-380ffc240c0577924419391e1c97c8f39eef1938.tar.gz
slackbuilds-380ffc240c0577924419391e1c97c8f39eef1938.tar.xz
libraries/libraw1394: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libraw1394/README3
-rw-r--r--libraries/libraw1394/libraw1394.SlackBuild64
-rw-r--r--libraries/libraw1394/libraw1394.info8
-rw-r--r--libraries/libraw1394/slack-desc19
4 files changed, 94 insertions, 0 deletions
diff --git a/libraries/libraw1394/README b/libraries/libraw1394/README
new file mode 100644
index 0000000000..6f09d29a43
--- /dev/null
+++ b/libraries/libraw1394/README
@@ -0,0 +1,3 @@
+libraw1394 provides direct access to the IEEE 1394 bus through
+the Linux 1394 subsystem's raw1394 user space interface.
+You will need to load the raw1394 module to use the resulting package.
diff --git a/libraries/libraw1394/libraw1394.SlackBuild b/libraries/libraw1394/libraw1394.SlackBuild
new file mode 100644
index 0000000000..1a84eda2c9
--- /dev/null
+++ b/libraries/libraw1394/libraw1394.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Pierre Cazenave revision date 10/11/2007
+
+PRGNAM=libraw1394
+VERSION=1.3.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING.LIB ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libraw1394/libraw1394.info b/libraries/libraw1394/libraw1394.info
new file mode 100644
index 0000000000..61c94ceb31
--- /dev/null
+++ b/libraries/libraw1394/libraw1394.info
@@ -0,0 +1,8 @@
+PRGNAM="libraw1394"
+VERSION="1.3.0"
+HOMEPAGE="www.linux1394.org/"
+DOWNLOAD="http://www.linux1394.org/dl/libraw1394-1.3.0.tar.gz"
+MD5SUM="c5d9ab62bd25dba96af010b3471e816a"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave@gmail.com"
+APPROVED="rworkman"
diff --git a/libraries/libraw1394/slack-desc b/libraries/libraw1394/slack-desc
new file mode 100644
index 0000000000..79a4377eb8
--- /dev/null
+++ b/libraries/libraw1394/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+libraw1394: libraw1394 (1394 user space driver)
+libraw1394:
+libraw1394: libraw1394 provides direct access to the IEEE 1394 bus through
+libraw1394: the Linux 1394 subsystem's raw1394 user space interface.
+libraw1394:
+libraw1394: Homepage: http://www.linux1394.org/
+libraw1394:
+libraw1394:
+libraw1394:
+libraw1394:
+libraw1394: